Bug 135670 - Clock applet does not change after timezone change
Clock applet does not change after timezone change
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-panel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 05:53 EDT by Nick Strugnell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 12:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2004-10-14 05:53:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
After changing the machine timezone using redhat-config-date, the
clock applet does not update to the new local time.

This is particularly annoying for laptop users who are constantly
changing timezone (e.g. Red Hat consultants...)


Version-Release number of selected component (if applicable):
gnome-panel-2.2.2.1-8

How reproducible:
Always

Steps to Reproduce:
1. Observe time displayed in clock applet on panel
2. Change TZ (e.g. with redhat-config-date)
3. 
    

Actual Results:  No change in displayed time, even though the date
command on the command line shows correct time

Expected Results:  clock should update to correct time

Additional info:

Workaround is 'pkill gnome-panel'.
This will restart the panel and the clock will show the correct date.
Comment 1 Martin C. Messer 2004-11-01 19:42:00 EST
I can confirm this bug.
Comment 2 Mark McLoughlin 2004-11-12 12:17:26 EST
This is fixed in RHEL4, fix was in glibc and would be quite difficult
to backport

Note You need to log in before you can comment on or make changes to this bug.